> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post collections schemafields



## OpenAPI

````yaml /api-reference/4.2/service-schema.json post /collections/{collection}/schema/fields
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service schema
servers:
  - url: /api/apollo/
security: []
tags:
  - name: schema
paths:
  /collections/{collection}/schema/fields:
    post:
      tags:
        - 4.2 Schema API
      operationId: addField
      parameters:
        - name: collection
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/Field'
      responses:
        default:
          description: successful operation
components:
  requestBodies:
    Field:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Field'
  schemas:
    Field:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        indexed:
          type: boolean
          default: false
        stored:
          type: boolean
          default: false
        multiValued:
          type: boolean
          default: false
        required:
          type: boolean
          default: false
        docValues:
          type: boolean
          default: false
        omitNorms:
          type: boolean
          default: false
        omitPositions:
          type: boolean
          default: false
        omitTermFreqAndPositions:
          type: boolean
          default: false
        termVectors:
          type: boolean
          default: false
        termPositions:
          type: boolean
          default: false
        termOffsets:
          type: boolean
          default: false
        copyDests:
          type: array
          items:
            type: string
        copySources:
          type: array
          items:
            type: string
        numDocs:
          type: integer
          format: int32
        default:
          type: string

````